<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
	<title>miniPOV - codegenerator</title>

	<style type="text/css">

	body
	{
		font-family: Arial;
	}

	table.display
	{
		background: #333333;
		border-spacing: 3px;

		cursor:  pointer;
		cursor:  url(paint.png) 2 12, pointer;
	}

	table.display tr td
	{
		height: 17px;
		width: 17px;
		background: #444444;
	}

	ul.tab_nav
	{
		float: left;
		margin: 0px;
		padding: 0px;
	}

	ul.tab_nav li
	{
		border: 1px solid #0000DD;
		background: #DDDDFF;
		margin: 5px;
		padding: 3px;
		margin-right: 0px;
		border-right: none;
		cursor: pointer;
	}

	ul.tab_nav li.active
	{
		background: #AAAAFF;
		cursor: auto;
	}

	div.tab_content
	{
		float: left;
		width: 600px;
		height: 300px;
		border: 1px solid #0000DD;
		margin-left: 0px;
		background: #AAAAFF;
		padding-left: 10px;
	}

	div.tab_end
	{
		clear: both;
	}

	</style>

	<script type="text/javascript">
	<!--
		var status = "stift";
		var mouseclicked = false;

		window.captureEvents(Event.KEYPRESS);
		window.onkeypress = Ausgabe;
		function Ausgabe(Ereignis)
		{
			taste = Ereignis.which;
//			alert("Sie haben die Taste mit dem Wert " + Ereignis.which + " gedrueckt");
			if(taste == 114) // R
				status = "radierer-fill";
			if(taste == 101) // E
				status = "radierer";
			if(taste == 100) // D
				status = "stift";
			if(taste == 102) // F
				status = "stift-fill";
			set_info("status: " + status + " / " + taste + " pressed");
		}

		function fill_click(obj)
		{
			if(status == "stift")
				obj.style.background='#DD0000';
			if(status == "radierer")
				obj.style.background='#444444';
		}

		function fill_over(obj)
		{
			if(mouseclicked)
				fill_click(obj);
			if(status == "stift-fill")
				obj.style.background='#DD0000';
			if(status == "radierer-fill")
				obj.style.background='#444444';
		}

		function set_info(text)
		{
			document.getElementById("infotext").innerHTML = text;
		}

		function body_mouse_down()
		{	
			mouseclicked = true;
		}

		function body_mouse_up()
		{	
			mouseclicked = false;
		}

//		var tabgroup_size = {4, 0};

		function tab_nav(tabgroup, selected)
		{	
//			for(i = 0; i < tabgroup_size[tabgroup]; i++)
			for(i = 0; i < 4; i++)
			{
				document.getElementById("tab_nav_" + tabgroup + "_" + i).className = "none";
				document.getElementById("tab_content_" + tabgroup + "_" + i).style.display = "none";
			}
			document.getElementById("tab_nav_" + tabgroup + "_" + selected).className = "active";
			document.getElementById("tab_content_" + tabgroup + "_" + selected).style.display = "block";
		}

	//-->
	</script>

</head>
<body>

	<h1>miniPOV - codegenerator</h1>

	<div style="width:90%; height:220px; overflow:auto; margin-bottom: 10px;">
		<div style="width:4000px; height:190px;">

		<?php

			define("NUM_LINES", 8);
			define("NUM_COLS", 150);

			echo '<table class="display" >';
			echo '<tr>';
			for($col = 0; $col < NUM_COLS; $col ++)
			{
				echo '<td style="background: white; font-size: 10px; text-align:center;">'.$col.'</td>';
			}
			echo '</tr>';
			for($line = 0; $line < NUM_LINES; $line ++)
			{
				echo '<tr>';
				for($col = 0; $col < NUM_COLS; $col ++)
				{
					echo '<td onclick="fill_click(this);" onmouseover="fill_over(this);"></td>';
				}
				echo '</tr>';
			}
			echo '<tr>';
			for($col = 0; $col < NUM_COLS; $col ++)
			{
				echo '<td style="background: white; font-size: 10px; text-align:center;">^</td>';
			}
			echo '</tr>';
			echo '</table>';

		?>
		</div>
	</div>

	<span id="infotext"></span>

	<ul class="tab_nav">
		<li id="tab_nav_0_0" onclick="tab_nav(0, 0);">Pixel malen</li>
		<li id="tab_nav_0_1" onclick="tab_nav(0, 1);">Text einfuegen</li>
		<li id="tab_nav_0_2" onclick="tab_nav(0, 2);">Speichern/Laden</li>
		<li id="tab_nav_0_3" onclick="tab_nav(0, 3);">auf Gerät laden</li>
	</ul>
	<div class="tab_content" id="tab_content_0_0">
		<h3>Pixel malen</h3>
		Werkzeug wählen:<br />
		<span onclick="status = 'stift';">Malstift</span><br />
		<span onclick="status = 'radierer';">Radierer</span><br />
	</div>
	<div class="tab_content" id="tab_content_0_1">Text</div>
	<div class="tab_content" id="tab_content_0_2">Save</div>
	<div class="tab_content" id="tab_content_0_3">Prog</div>
	<div class="tab_end"></div>

	<hr />
	<div align="center">
		cc-by-sa<br />
		Andreas Brandstaetter<br />
		http://wiki.happylab.at/w/MiniPOV
	</div>

	<script type="text/javascript">
	<!--
		document.addEventListener('mousedown', body_mouse_down, true);
		document.addEventListener('mouseup', body_mouse_up, true);

		tab_nav(0, 1);
	//-->
	</script>

</body>
</html>
